@echo off
call "%ASANY9%\samples\Common\Batch\asaenv.bat"
call "%VS71COMNTOOLS%\vsvars32.bat"
REM  On Windows NT and successors, set the current directory
REM  so that the batch file can be executed from Explorer.
REM  Limitation: cannot change drives on Windows 95 family.
SET THISDIR=%CD%
if "_%OS%" == "_Windows_NT" cd /d "%THISDIR%"
if "_%OS%" == "_" cd "%THISDIR%"

REM  Define the ODBC data sources
"%__ASABIN%\dbdsn" -w test_consol -y -c "uid=DBA;pwd=SQL;dbf=%THISDIR%\consol.db;eng=Consol"
if errorlevel 1 goto RunTimeError
"%__ASABIN%\dbdsn" -w test_remote -y -c "uid=DBA;pwd=SQL;dbf=%THISDIR%\remote.db;eng=Remote"
if errorlevel 1 goto RunTimeError
devenv MobLinkClientGUIComSample.vbproj /build debug
if errorlevel 1 goto RunTimeError

REM  Construct the consolidated database
"%__ASABIN%\dbinit" consol.db
if errorlevel 1 goto RunTimeError
"%__ASABIN%\dbisql" -c "dsn=test_consol" build_consol.sql
if errorlevel 1 goto RunTimeError

REM  Construct the remote database
"%__ASABIN%\dbinit" remote.db
if errorlevel 1 goto RunTimeError
"%__ASABIN%\dbisql" -c "dsn=test_remote" build_remote.sql
if errorlevel 1 goto RunTimeError

devenv MobLinkClientGUIComSample.vbproj /runexit

goto done

:RunTimeError
echo Error: A step in the sample script failed with an error.

:done
SET THISDIR=
SET __ASA=
SET __ASABIN=
SET __ASASAMPLES=
